package net.argius.filetool;

import java.io.*;

/**
 * 圧縮処理。
 */
public interface Compressor {

    /**
     * 圧縮する。
     * @param is 圧縮元の入力ストリーム
     * @throws IOException 入出力エラーが発生した場合
     */
    void compress(InputStream is) throws IOException;

    /**
     * 終了処理。
     * @throws IOException 入出力エラーが発生した場合
     */
    void close() throws IOException;

}
